#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoauth2
version:              2.7.0
visibility:           public
id:                   hoauth2-2.7.0-1U5TUEnacmt3ZeBlMHQmAe
key:                  hoauth2-2.7.0-1U5TUEnacmt3ZeBlMHQmAe
license:              MIT
copyright:            Haisheng Wu
maintainer:           Haisheng Wu <freizl@gmail.com>
author:               Haisheng Wu
stability:            Beta
homepage:             https://github.com/freizl/hoauth2
synopsis:             Haskell OAuth2 authentication client
description:
    Haskell OAuth2 authentication client.

    Tutorial <https://github.com/freizl/hoauth2/tree/main/hoauth2-tutorial/>

    Demo application <https://github.com/freizl/hoauth2-demo/tree/main/hoauth2-demo/>

category:             Network
abi:                  1d8cda2541e542e0110bf709eaf34381
exposed:              True
exposed-modules:
    Network.OAuth.OAuth2 Network.OAuth.OAuth2.AuthorizationRequest
    Network.OAuth.OAuth2.HttpClient Network.OAuth.OAuth2.TokenRequest
    Network.OAuth2.Experiment

hidden-modules:
    Network.OAuth.OAuth2.Internal Network.OAuth2.Experiment.Pkce
    Network.OAuth2.Experiment.Types Network.OAuth2.Experiment.Utils
    Paths_hoauth2

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoauth2-2.7.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoauth2-2.7.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hoauth2
hs-libraries:         HShoauth2-2.7.0-1U5TUEnacmt3ZeBlMHQmAe
depends:
    aeson-2.1.2.1-2DC8oo6JY6hDnCPVtrY9Cs base-4.16.4.0
    base64-0.4.2.4-8jrEaxGGnEJ8oboibVkVyz binary-0.8.9.0
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-4sVTsME4FC2Kuj4PQGWqjm
    data-default-0.7.1.1-LSJh75QrCu1H2SWBLBb1YB exceptions-0.10.4
    http-conduit-2.3.8.3-GXkFxPczyxiDM3cuk34FKZ
    http-types-0.12.4-HcGM6QE1zVBGXemJAtRT5a
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    microlens-0.4.13.1-HPplyG5VOciEIF62YegSgA text-1.2.5.0
    transformers-0.5.6.2 uri-bytestring-0.3.3.1-7MbLxbAlD2w6pSySRM8JbK
    uri-bytestring-aeson-0.1.0.8-F0Xt1TgfYhU95lhJOOX9zw

haddock-interfaces:   /usr/share/doc/haskell-hoauth2/html/hoauth2.haddock
haddock-html:         /usr/share/doc/haskell-hoauth2/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

